Bug 504033 - Xen framebuffer problems with install
Xen framebuffer problems with install
Product: Fedora
Classification: Fedora
Component: kernel-xen (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Markus Armbruster
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2009-06-03 17:29 EDT by John Levon
Modified: 2009-12-14 15:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-01 17:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Levon 2009-06-03 17:29:20 EDT
Description of problem:

If I attempt to start a Fedora 10 --nographics install on a Solaris Xen 3.3.1 dom0:

virt-install -n domu-223 -r 1024 --paravirt --os-type=linux --os-variant=fedora8 --disk path=/alias/dskpool/dom/johnlev/fedora10-pv64/root,driver=phy,subdriver=iscsi -l http://mirror.stanford.edu/fedora/linux/releases/10/Fedora/x86_64/os/ -m `~johnlev/bin/maca domu-223` --nographics

Then it hangs shortly into boot, taking up 100% CPU:

Console: colour dummy device 80x25
console [tty0] enabled
console [hvc0] enabled
Checking aperture...

Also, if I use --vnc, then the installer is unable to start X and I have to do a text install (from the VNC framebuffer). The qemu log shows:

FB: Waiting for FB backend creation
Doing backend watch on /local/domain/0/backend/vfb/8/0
Console: got watch
Console: got ring-ref 7753950 port 2 limit 1048576
Console: connected to guest frontend
FB: Waiting for KBD frontend initialization
Doing frontend watch on /local/domain/8/device/vkbd/0
FB: Carry on waiting
FB: Waiting for FB frontend initialization
Doing frontend watch on /local/domain/8/device/vfb/0
Framebuffer 800x600x32 offset 0 stride 3200
FB: Waiting for KBD frontend connection
Doing frontend watch on /local/domain/8/device/vkbd/0
Xen Framebuffer registered

CentOS 5.3 has neither problem on the same system.
Comment 1 John Levon 2009-06-03 20:05:12 EDT
A test of the Fedora 11 preview media indicates both problems are fixed there.
Comment 2 Markus Armbruster 2009-07-01 17:58:51 EDT
Comment#1 suggests the bug has been fixed already, so I'm closing the bz.  If you disagree with that, please reopen.

Note You need to log in before you can comment on or make changes to this bug.